Get Provider Gateway

Get Provider Gateway
Retrieves a specific Centralized Connection.

Retrieves a specific Centralized Connection.

Request
URI
GET
https://{api_host}/cloudapi/v1/providerGateways/{gatewayId}
COPY
Path Parameters
string
gatewayId
Required

gatewayId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderGateway of type(s) application/json;version=9.1.0
This response body class contains all of the following: NetworkingEntityStatus , InlineProviderGateway1
{
    "status": "string",
    "id": "string",
    "name": "string",
    "description": "string",
    "orgRef": {
        "name": "string",
        "id": "string"
    },
    "regionRef": {
        "name": "string",
        "id": "string"
    },
    "backingType": "string",
    "backingRef": {
        "id": "string",
        "name": "string"
    },
    "ipSpaceRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "gatewayConnectionBackingId": "string",
    "inboundRemoteNetworks": [
        "string"
    ],
    "allowAdvertisingPrivateIpBlocks": false,
    "natConfig": {
        "enableSnat": false,
        "ipSpaceRef": {
            "name": "string",
            "id": "string"
        },
        "logging": false
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/providerGateways/{gatewayId}